local RCR = Raidificator

RCR.ZONES = {
	D = { -- Dungeons ----------------------------------------------------------
		--[[
		Format: [zoneId] = { condition, speedrun }
			 0 - timer starts upon initial engagement
			-1 - timer starts when group crosses undetectable threshold (as subsitute, treat as "mode 0")
			-2 - timer start requires special handling
			 N - timer starts when group enters subzone designated by N
		--]]
		[ 144] = {     0, 20 }, -- Spindleclutch I
		[ 936] = {     0, 20 }, -- Spindleclutch II
		[ 380] = {    -1, 20 }, -- The Banished Cells I
		[ 935] = {     0, 20 }, -- The Banished Cells II
		[ 283] = {    -1, 15 }, -- Fungal Grotto I
		[ 934] = {     0, 20 }, -- Fungal Grotto II
		[ 146] = {    -1, 15 }, -- Wayrest Sewers I
		[ 933] = {     0, 20 }, -- Wayrest Sewers II
		[ 126] = {     0, 20 }, -- Elden Hollow I
		[ 931] = {     0, 20 }, -- Elden Hollow II
		[  63] = {    -1, 20 }, -- Darkshade Caverns I
		[ 930] = {     0, 20 }, -- Darkshade Caverns II
		[ 130] = {     0, 20 }, -- Crypt of Hearts I
		[ 932] = {    -1, 30 }, -- Crypt of Hearts II
		[ 176] = {     0, 20 }, -- City of Ash I
		[ 681] = {  8388, 30 }, -- City of Ash II (Inner Grove)
		[ 148] = {     0, 20 }, -- Arx Corinium
		[  22] = {     0, 20 }, -- Volenfell
		[ 131] = {     0, 20 }, -- Tempest Island
		[ 449] = {    -1, 20 }, -- Direfrost Keep
		[  38] = {    -1, 20 }, -- Blackheart Haven
		[  31] = {     0, 20 }, -- Selene's Web
		[  64] = {    -1, 20 }, -- Blessed Crucible
		[  11] = {     0, 20 }, -- Vaults of Madness
		[ 678] = {  8748, 45 }, -- Imperial City Prison (Bastion)
		[ 688] = {  8982, 30 }, -- White-Gold Tower (Green Emperor Way)
		[ 843] = {    -1, 30 }, -- Ruins of Mazzatun
		[ 848] = {    -1, 30 }, -- Cradle of Shadows
		[ 973] = {    -1, 20 }, -- Bloodroot Forge
		[ 974] = {     0, 20 }, -- Falkreath Hold
		[1009] = {     0, 30 }, -- Fang Lair
		[1010] = {     0, 30 }, -- Scalecaller Peak
		[1052] = {     0, 30 }, -- Moon Hunter Keep
		[1055] = { 13161, 30 }, -- March of Sacrifices (Bloodscent Pass)
		[1080] = {     0, 30 }, -- Frostvault
		[1081] = {     0, 30 }, -- Depths of Malatar
		[1122] = {     0, 30 }, -- Moongrave Fane
		[1123] = {     0, 35 }, -- Lair of Maarselok
		[1152] = {     0, 30 }, -- Icereach
		[1153] = {    -2, 30 }, -- Unhallowed Grave
		[1197] = {     0, 25 }, -- Stone Garden
		[1201] = {     0, 30 }, -- Castle Thorn
		[1228] = {     0, 25 }, -- Black Drake Villa
		[1229] = {     0, 35 }, -- The Cauldron
		[1267] = {     0, 25 }, -- Red Petal Bastion
		[1268] = {     0, 25 }, -- The Dread Cellar
		[1301] = {     0, 25 }, -- Coral Aerie
		[1302] = {     0, 25 }, -- Shipwright's Regret
		[1360] = {     0, 25 }, -- Earthen Root Enclave
		[1361] = {     0, 25 }, -- Graven Deep
		[1389] = {     0, 25 }, -- Bal Sunnar
		[1390] = {     0, 25 }, -- Scrivener's Hall
		[1470] = {     0, 25 }, -- Oathsworn Pit
		[1471] = {     0, 25 }, -- Bedlam Veil
	},

	T = { -- Trials ------------------------------------------------------------
		[ 636] = true, -- Hel Ra Citadel
		[ 638] = true, -- Aetherian Archive
		[ 639] = true, -- Sanctum Ophidia
		[ 725] = true, -- Maw of Lorkhaj
		[ 975] = true, -- Halls of Fabrication
		[1000] = true, -- Asylum Sanctorium
		[1051] = true, -- Cloudrest
		[1121] = true, -- Sunspire
		[1196] = true, -- Kyne's Aegis
		[1263] = true, -- Rockgrove
		[1344] = true, -- Dreadsail Reef
		[1427] = true, -- Sanity's Edge
		[1478] = true, -- Lucent Citadel
	},

	A = { -- Arenas ------------------------------------------------------------
		[ 635] = true, -- Dragonstar Arena
		[ 677] = true, -- Maelstrom Arena
		[1082] = true, -- Blackrose Prison
		[1227] = true, -- Vateshran Hollows
		[1436] = true, -- Infinite Archive
	},
}

RCR.SCORED_CONTENT = {
	{  "1R",  636 }, -- Hel Ra Citadel
	{  "2R",  638 }, -- Aetherian Archive
	{  "3R",  639 }, -- Sanctum Ophidia
	{  "4R",  635 }, -- Dragonstar Arena
	{  "6R",  677 }, -- Maelstrom Arena
	{  "5R",  725 }, -- Maw of Lorkhaj
	{  "7R",  975 }, -- Halls of Fabrication
	{  "8R", 1000 }, -- Asylum Sanctorium
	{  "9R", 1051 }, -- Cloudrest
	{ "11R", 1082 }, -- Blackrose Prison
	{ "12R", 1121 }, -- Sunspire
	{ "13R", 1196 }, -- Kyne's Aegis
	{ "14R", 1227 }, -- Vateshran Hollows
	{ "15R", 1263 }, -- Rockgrove
	{ "16R", 1344 }, -- Dreadsail Reef
	{ "17R", 1427 }, -- Sanity's Edge
	{  "1E", 1436 }, -- Infinite Archive
	{ "18R", 1478 }, -- Lucent Citadel
}
